<?xml version="1.0" encoding="ISO-8859-1"?>
<OMSchemaRequest Class="OMSchemaRequest">
  <SchemaRequest Id="4300" Name="Unicat.ServiceAccounts.ShowPassword" Version="12" Enabled="True" Hidden="False" Pause="0" Mail="False" SortOrder="0" Exclusive="no" ShowMenu="False" Archive="True" OMVersion="260384688" ExportDateTime="2018-01-26T14:34:57" Scope="Unicat.Setup">
    <DisplayName>
      <english>Unicat.ServiceAccounts.ShowPassword</english>
      <german>Unicat.ServiceAccounts.ShowPassword</german>
    </DisplayName>
    <Description>
      <english>
      </english>
      <german>
      </german>
    </Description>
    <Templates>
      <Template Id="4335" Name="standard" Group_Id="0" AcknowledgeRequired="False" AcknowledgeMail="False" AcknowledgeGroup="0" Everyone="False">
        <DisplayName>
          <english>standard</english>
          <german>standard</german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Registers>
          <Register Id="46480" Name="request.autopostback" Typ="string" SortOrder="1" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>request.autopostback</english>
              <german>request.autopostback</german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="{request.autopostback}" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46481" Name="c1" Typ="string" SortOrder="2" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="1" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="0" />
          </Register>
          <Register Id="46482" Name="GUIAccount" Typ="OMServiceAccount.ObjectId" SortOrder="3" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="4" ProcessName="UI-Control" Data="10967" Group_Id="0" AttributeName="" RegisterPosition="1_left_1" ProcessPart="1">
              <GUI OOId="10967" OOTypName="ctrListBox" OOTypId="2">
                <OOAttribute Id="0" OOAttributeTypeId="2" OOAttributeName="ID" OOAttributeTypeName="String">ctrListBox14962</OOAttribute>
                <OOAttribute Id="1" OOAttributeTypeId="5" OOAttributeName="Name" OOAttributeTypeName="Multilanguage">
                  <english>Account</english>
                  <german>Benutzer</german>
                </OOAttribute>
                <OOAttribute Id="2" OOAttributeTypeId="10" OOAttributeName="Source" OOAttributeTypeName="HDB-Query">OMServiceAccount(*)</OOAttribute>
                <OOAttribute Id="3" OOAttributeTypeId="5" OOAttributeName="Description" OOAttributeTypeName="Multilanguage">
                  <english>Select Account</english>
                  <german>Benutzer auswählen</german>
                </OOAttribute>
                <OOAttribute Id="4" OOAttributeTypeId="3" OOAttributeName="required" OOAttributeTypeName="Boolean">True</OOAttribute>
                <OOAttribute Id="12" OOAttributeTypeId="6" OOAttributeName="Type" OOAttributeTypeName="Image">Account</OOAttribute>
                <OOAttribute Id="13" OOAttributeTypeId="3" OOAttributeName="filter" OOAttributeTypeName="Boolean">True</OOAttribute>
                <OOAttribute Id="14" OOAttributeTypeId="2" OOAttributeName="SelectCount" OOAttributeTypeName="String">30</OOAttribute>
                <OOAttribute Id="15" OOAttributeTypeId="3" OOAttributeName="AutoPostBack" OOAttributeTypeName="Boolean">True</OOAttribute>
                <OOAttribute Id="16" OOAttributeTypeId="2" OOAttributeName="ProveRegister" OOAttributeTypeName="String">46486</OOAttribute>
                <OOAttribute Id="25" OOAttributeTypeId="2" OOAttributeName="height" OOAttributeTypeName="String">3</OOAttribute>
              </GUI>
            </RegisterData>
          </Register>
          <Register Id="46483" Name="GUIAccount.GetPassword" Typ="string" SortOrder="4" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="sResult = &quot;&quot;&#xD;&#xA;if &quot;{GUIAccount}&quot; &lt;&gt; &quot;&quot; then&#xD;&#xA;	sEncryptedPW = oHDB.HDBQuery(&quot;OMServiceAccount(id={GUIAccount})|pwdEncrypted&quot;)&#xD;&#xA;	if sEncryptedPW &lt;&gt; &quot;&quot; then&#xD;&#xA;		sResult = &quot;&lt;center&gt;Das aktuelle Passwort für den ServiceAccount &lt;b&gt;&quot; &amp; oHDB.HDBQuery(&quot;OMServiceAccount(id={GUIAccount})|CName&quot;) &amp; &quot;&lt;/b&gt; lautet:&lt;br /&gt;&lt;br /&gt;&lt;font size=3 color=blue&gt;&lt;b&gt;&quot; &amp; oHDB.Decrypt(sEncryptedPW) &amp; &quot;&lt;/b&gt;&lt;/font&gt;&lt;/center&gt;&quot;&#xD;&#xA;	else&#xD;&#xA;		sResult = &quot;&lt;center&gt;Für den ServiceAccount existiert noch kein verschlüsseltes Passwort&lt;/center&gt;&quot;&#xD;&#xA;	end if&#xD;&#xA;end if&#xD;&#xA;{GUIAccount.GetPassword} = sResult" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46484" Name="Change.pwdLastSet" Typ="string" SortOrder="5" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="if &quot;{GUIAccount}&quot; &lt;&gt; &quot;&quot; then&#xD;&#xA;    sDate = &quot;19000101000000&quot;&#xD;&#xA;	Do While oHDB.IsTrue(oHDB.ObjectExistByPath(&quot;OMServiceAccount(pwdLastSet=&quot; &amp; sDate &amp; &quot;)&quot;))&#xD;&#xA;		sDate = sDate + 1&#xD;&#xA;	Loop&#xD;&#xA;	set oSA = oHDB.GetObjectByPath(&quot;{GUIAccount}&quot;)&#xD;&#xA;	if not oSA is nothing then&#xD;&#xA;		call oSA.SetAttributeValueByName(&quot;pwdLastSet&quot;,sDate)&#xD;&#xA;	end if&#xD;&#xA;end if&#xD;&#xA;{Change.pwdLastSet} = sDate" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46485" Name="GUIPassword" Typ="string" SortOrder="6" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="4" ProcessName="UI-Control" Data="10968" Group_Id="0" AttributeName="" RegisterPosition="1_right_1" ProcessPart="1">
              <GUI OOId="10968" OOTypName="ctrLabel" OOTypId="8">
                <OOAttribute Id="0" OOAttributeTypeId="2" OOAttributeName="ID" OOAttributeTypeName="String">ctrLabel14963</OOAttribute>
                <OOAttribute Id="1" OOAttributeTypeId="5" OOAttributeName="Name" OOAttributeTypeName="Multilanguage">
                  <english>Password</english>
                  <german>Password</german>
                </OOAttribute>
                <OOAttribute Id="2" OOAttributeTypeId="2" OOAttributeName="Source" OOAttributeTypeName="String">{GUIAccount.GetPassword}</OOAttribute>
                <OOAttribute Id="12" OOAttributeTypeId="6" OOAttributeName="Type" OOAttributeTypeName="Image">
                </OOAttribute>
              </GUI>
            </RegisterData>
          </Register>
          <Register Id="46486" Name="GUI_CHECK_GUIAccount" Typ="string" SortOrder="7" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>GUI_CHECK_GUIAccount</english>
              <german>GUI_CHECK_GUIAccount</german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="if lcase(&quot;{request.autopostback}&quot;) = &quot;inqueue&quot; then&#xD;&#xA;	sResult = &quot;Dieser Antrag kann nicht ausgeführt werden.&quot;&#xD;&#xA;end if&#xD;&#xA;{GUI_CHECK_GUIAccount} = sResult " Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
        </Registers>
      </Template>
    </Templates>
    <EOs>
      <EO Id="8276" EO="NSOS.OS.OSWait" ProcessOrder="1" CancelIfFailed="False" BreakIfFailed="False" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSWait</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <seconds Id="27413" Name="seconds" Register_Id="46481" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </seconds>
        </Params>
      </EO>
    </EOs>
  </SchemaRequest>
</OMSchemaRequest>